#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hasql
version:              1.4.5
visibility:           public
id:                   hasql-1.4.5-6c01XxN9bPSDRkOxcV7Oyi
key:                  hasql-1.4.5-6c01XxN9bPSDRkOxcV7Oyi
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql
synopsis:             An efficient PostgreSQL driver with a flexible mapping API
description:
    Root of the \"hasql\" ecosystem.
    For details and tutorials see
    <https://github.com/nikita-volkov/hasql the readme>.

    The API comes free from all kinds of exceptions. All error-reporting is explicit and is presented using the '\''Either'\'' type.

category:             Hasql, Database, PostgreSQL
abi:                  e7cf4c797f53063ef41036f08ce45209
exposed:              True
exposed-modules:
    Hasql.Connection Hasql.Decoders Hasql.Encoders Hasql.Session
    Hasql.Statement

hidden-modules:
    Hasql.Private.Prelude Hasql.Private.Errors Hasql.Private.PTI
    Hasql.Private.IO Hasql.Private.Session Hasql.Private.Connection
    Hasql.Private.PreparedStatementRegistry Hasql.Private.Settings
    Hasql.Private.Commands Hasql.Private.Decoders
    Hasql.Private.Decoders.Array Hasql.Private.Decoders.Composite
    Hasql.Private.Decoders.Value Hasql.Private.Decoders.Row
    Hasql.Private.Decoders.Result Hasql.Private.Decoders.Results
    Hasql.Private.Encoders Hasql.Private.Encoders.Array
    Hasql.Private.Encoders.Value Hasql.Private.Encoders.Params

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hasql-1.4.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hasql-1.4.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hasql-1.4.5
hs-libraries:         HShasql-1.4.5-6c01XxN9bPSDRkOxcV7Oyi
depends:
    attoparsec-0.14.1-JkI3X5d36Qk8oyVdsBgtBB base-4.14.1.0
    bytestring-0.10.12.0
    bytestring-strict-builder-0.4.5.4-1ZSxhdHRklwF949N5GJCKg
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    contravariant-extras-0.3.5.2-FYsJj6cenYlIIafZWGK1Fy
    dlist-1.0-KFY6kePYM7gDQLIElBL83C
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    hashtables-1.2.4.1-GZw9woHTXBn2o9tITmLozv mtl-2.2.2
    postgresql-binary-0.12.4-GgfrL2eYn7jLEaWkWxOnKr
    postgresql-libpq-0.9.4.3-F6rtdMTHYxA5qmRvZ3sEJU
    profunctors-5.6.2-4bnNFHgfnmX3wPKrSZ02q1 text-1.2.4.1
    text-builder-0.6.6.2-I06MtSxv2gGCqR6E4h9ofF transformers-0.5.6.2
    vector-0.12.2.0-6U3O0KyAitXJQBfpQxiTi1

haddock-interfaces:   /usr/share/doc/haskell-hasql/html/hasql.haddock
haddock-html:         /usr/share/doc/haskell-hasql/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

